Ethan,

It only solve half the problem. I do have some svk based directories on my system ... but not all my Open MPI checkouts are svk based. So, it still deadlock for me.

  george.

On Oct 26, 2007, at 2:33 PM, Ethan Mallove wrote:

Whoa! My apologies. I saw the same behavior when I did:

  $ rm -rf ~/.svk

I think if we check the existence of $HOME/.svk before doing
any svk commands then we should be okay. I did that in
r16586. Does it work for you now?

-Ethan


On Fri, Oct/26/2007 02:02:42PM, George Bosilca wrote:
This patch break the autogen.sh in the case svk is
available on the node. I try it on MAC OS X as well as
Linux boxes, and svk info will try to create the svk if
the project is not svk based. In fact it ask the user if
he want to create the svk stuff, but the output is hidden
by the autogen.sh so it just stay there forever.

  Thanks,
    george.

Begin forwarded message:

From: emall...@osl.iu.edu
Date: October 25, 2007 10:12:53 AM EDT
To: s...@open-mpi.org
Subject: [OMPI svn] svn:open-mpi r16563
Reply-To: de...@open-mpi.org

Author: emallove
Date: 2007-10-25 10:12:52 EDT (Thu, 25 Oct 2007)
New Revision: 16563
URL: https://svn.open-mpi.org/trac/ompi/changeset/16563

Log:
Sanity check for SVK workspace in autogen.sh.

Text files modified:
   trunk/autogen.sh |    29 ++++++++++++++++++++++++++++-
   1 files changed, 28 insertions(+), 1 deletions(-)

Modified: trunk/autogen.sh
==================================================================== ==========
--- trunk/autogen.sh    (original)
+++ trunk/autogen.sh    2007-10-25 10:12:52 EDT (Thu, 25 Oct 2007)
@@ -1103,6 +1103,32 @@
     unset project project_path framework framework_path component
component_path
 }

+################################################################### ###########
+#
+# check_for_svk_checkout - determine whether this is an SVK checkout
+#
+# INPUT:
+#    none
+#
+# OUTPUT:
+#    none
+#
+# SIDE EFFECTS:
+#
+################################################################### ###########
+check_for_svk_checkout() {
+    is_svk_checkout=0
+
+    svk_path=`which svk 2>/dev/null`
+    if test -x "$svk_path"; then
+        top_level_dir="`dirname $0`"
+        svk info $top_level_dir >/dev/null 2>&1
+        if test "$?" = 0 ; then
+            is_svk_checkout=1
+        fi
+    fi
+
+}


#################################################################### ##########
 #
@@ -1135,7 +1161,8 @@
 echo "[Checking] prerequisites"

 # sanity check to make sure user isn't being stupid
-if test ! -d .svn ; then
+check_for_svk_checkout
+if test ! -d .svn -a ! $is_svk_checkout ; then
     cat <<EOF

This doesn't look like a developer copy of Open MPI. You probably do not
_______________________________________________
svn mailing list
s...@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/svn




_______________________________________________
devel mailing list
de...@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/devel

_______________________________________________
devel mailing list
de...@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/devel

Attachment: smime.p7s
Description: S/MIME cryptographic signature

Reply via email to